Bug 1121876 (CVE-2014-4343) - CVE-2014-4343 krb5: double-free flaw in SPNEGO initiators
Summary: CVE-2014-4343 krb5: double-free flaw in SPNEGO initiators
Status: CLOSED ERRATA
Alias: CVE-2014-4343
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140715,reported=2...
Keywords: Security
Depends On: 1121510 1121789 1121879
Blocks: 1101912 1121513 1121882
TreeView+ depends on / blocked
 
Reported: 2014-07-22 06:23 UTC by Murray McAllister
Modified: 2018-12-09 18:12 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A double-free flaw was found in the MIT Kerberos SPNEGO initiators. An attacker able to spoof packets to appear as though they are from an GSSAPI acceptor could use this flaw to crash a client application that uses MIT Kerberos.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-06 10:10:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1389 normal SHIPPED_LIVE Moderate: krb5 security and bug fix update 2014-10-14 01:27:10 UTC
Red Hat Product Errata RHSA-2015:0439 normal SHIPPED_LIVE Moderate: krb5 security, bug fix and enhancement update 2015-03-05 14:38:14 UTC

Description Murray McAllister 2014-07-22 06:23:03 UTC
A double-free flaw was found in the MIT Kerberos SPNEGO initiators. An attacker able to spoof packets to appear as though they are from an GSSAPI acceptor could use this flaw to crash a client application that uses MIT Kerberos.

It is reported that this issue affects version 1.10 and later.

Upstream commit and further details:

https://github.com/krb5/krb5/commit/f18ddf5d82de0ab7591a36e465bc24225776940f

Comment 1 Murray McAllister 2014-07-22 06:27:19 UTC
Created krb5 tracking bugs for this issue:

Affects: fedora-all [bug 1121879]

Comment 3 Siddharth Sharma 2014-07-25 06:15:36 UTC
spnego_gss_init_sec_context -> init_ctx_cont -> init_ctx_nego -> init_ctx_reselect 

It is possible for unauthenticated attacker to crash the clients, as in the process according to RFC SPNEGO uses pseudo-mechanism which checks which gssapi mechanisms can be used. SPNEGO is not used by default. It requires high complexity to execute such attack as it also involves spoofing Web Server SSL certificate also.

Comment 4 Siddharth Sharma 2014-07-28 06:49:18 UTC
Statement:

This issue did not affect the version of krb5 as shipped with Red Hat Enterprise Linux 5.

Comment 5 Fedora Update System 2014-08-07 15:27:12 UTC
krb5-1.11.3-24.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-08-07 15:32:45 UTC
krb5-1.11.5-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Martin Prpič 2014-10-08 08:40:07 UTC
IssueDescription:

A double-free flaw was found in the MIT Kerberos SPNEGO initiators. An attacker able to spoof packets to appear as though they are from an GSSAPI acceptor could use this flaw to crash a client application that uses MIT Kerberos.

Comment 8 errata-xmlrpc 2014-10-14 08:11:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1389 https://rhn.redhat.com/errata/RHSA-2014-1389.html

Comment 10 errata-xmlrpc 2015-03-05 10:01:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0439 https://rhn.redhat.com/errata/RHSA-2015-0439.html


Note You need to log in before you can comment on or make changes to this bug.